import React from "react";
import { router, usePage, Link } from "@inertiajs/react";
// import AdSense from "react-adsense";

export default function TrendStories() {
    const { posts, auth } = usePage().props;

    const formatDate = (dateString) => {
        const date = new Date(dateString);
        const options = {
            year: "numeric",
            month: "short",
            day: "2-digit",
            hour: "numeric",
            minute: "2-digit",
            hour12: true,
        };
        return date.toLocaleDateString("en-US", options);
    };
    return (
        <>
            <aside className="lg:col-span-4 col-span-12">
                <aside className="widget widget_blogs lg:mt-[50px] mt-10">
                    <h4 className="text-dark-1 lg:text-[25px] text-2md leading-[1.6] capitalize font-semibold mb-5">
                        Trending Stories
                    </h4>
                    <ul>
                        {posts.map((item, index) => {
                            return (
                                <li
                                    key={index}
                                    className="flex items-center group mt-6 first:mt-0"
                                >
                                    <Link
                                        href={`/blog/${
                                            item.id
                                        }/${item.title.replace(/\s+/g, "-")}`}
                                        className="shrink-0 w-20 mr-[15px] overflow-hidden"
                                    >
                                        <img
                                            src={`/${item.image_cover}`}
                                            alt={item.title}
                                            className="w-full group-hover:scale-105 duration-200"
                                        />
                                    </Link>
                                    <div className="grow">
                                        <h5 className="lg:text-17px text-base font-semibold leading-[1.64] group-hover:text-primary-1 duration-200 fixed-title">
                                            <a href="blog-details.html">
                                                {item.title}
                                            </a>
                                        </h5>
                                        <div className="text-dark-3 text-sm mt-1">
                                            {formatDate(item.date)}
                                        </div>
                                    </div>
                                </li>
                            );
                        })}
                        {/* <AdSense.Google
                            client="ca-pub-4460213849771600"
                            slot="6593570101"
                            style={{
                                display: "block",
                            }}
                            // responsive="true"
                            layoutKey="-fb+5w+4e-db+86"
                            format="fluid"
                        />{" "} */}
                    </ul>
                </aside>

                <aside className="widget widget_tags lg:mt-[50px] mt-10">
                    <h4 className="text-dark-1 lg:text-[25px] text-2md leading-[1.6] capitalize font-semibold mb-1">
                        Travel Tags
                    </h4>
                    <ul>
                        <li className="lg:mt-5 mt-4 first:lg:mt-0 first:mt-0">
                            <Link
                                href="/packages"
                                className="lg:text-md text-base text-dark-2 font-medium leading-[1.44] font-serif duration-200 hover:text-primary-1 "
                            >
                                Adventure
                            </Link>
                        </li>
                        <li className="lg:mt-5 mt-4 first:lg:mt-0 first:mt-0">
                            <Link
                                href="/packages"
                                className="lg:text-md text-base text-dark-2 font-medium leading-[1.44] font-serif duration-200 hover:text-primary-1 "
                            >
                                Travel Vacation
                            </Link>
                        </li>
                        <li className="lg:mt-5 mt-4 first:lg:mt-0 first:mt-0">
                            <Link
                                href="/packages"
                                className="lg:text-md text-base text-dark-2 font-medium leading-[1.44] font-serif duration-200 hover:text-primary-1 "
                            >
                                Mount Trekking
                            </Link>
                        </li>
                        <li className="lg:mt-5 mt-4 first:lg:mt-0 first:mt-0">
                            <Link
                                href="/packages"
                                className="lg:text-md text-base text-dark-2 font-medium leading-[1.44] font-serif duration-200 hover:text-primary-1 "
                            >
                                Travel / style (03)
                            </Link>
                        </li>
                    </ul>
                </aside>
                <aside className="widget widget_social lg:mt-[50px] mt-10">
                    <h4 className="text-dark-1 lg:text-[25px] text-2md leading-[1.6] capitalize font-semibold mb-1">
                        Travel Tags
                    </h4>
                    <ul>
                        <li className="inline-block mt-4 mr-5 last:mr-0">
                            <Link
                                href="/packages"
                                className="duration-200 hover:text-primary-1 lg:text-md text-base text-dark-2 font-medium leading-[1.3] hover:underline hover:underline-offset-1"
                            >
                                Kilimanjaro,
                            </Link>
                        </li>
                        <li className="inline-block mt-4 mr-5 last:mr-0">
                            <Link
                                href="/packages"
                                className="duration-200 hover:text-primary-1 lg:text-md text-base text-dark-2 font-medium leading-[1.3] hover:underline hover:underline-offset-1"
                            >
                                City Tour,
                            </Link>
                        </li>
                        <li className="inline-block mt-4 mr-5 last:mr-0">
                            <Link
                                href="/packages"
                                className="duration-200 hover:text-primary-1 lg:text-md text-base text-dark-2 font-medium leading-[1.3] hover:underline hover:underline-offset-1"
                            >
                                Summer Tour,
                            </Link>
                        </li>
                        <li className="inline-block mt-4 mr-5 last:mr-0">
                            <Link
                                href="/packages"
                                className="duration-200 hover:text-primary-1 lg:text-md text-base text-dark-2 font-medium leading-[1.3] hover:underline hover:underline-offset-1"
                            >
                                Holyday,
                            </Link>
                        </li>
                        <li className="inline-block mt-4 mr-5 last:mr-0">
                            <Link
                                href="/packages"
                                className="duration-200 hover:text-primary-1 lg:text-md text-base text-dark-2 font-medium leading-[1.3] hover:underline hover:underline-offset-1"
                            >
                                life Style,
                            </Link>
                        </li>
                    </ul>
                </aside>
                <aside className="widget widget_offer lg:mt-[50px] mt-10">
                    <a href="/contact-us">
                        <img
                            src="/assets/images/backgrounds/offer-banner.webp"
                            alt="offer"
                            className="w-full"
                        />
                    </a>
                </aside>
                {/* <aside className="widget widget_offer lg:mt-[50px] mt-10">
                    <AdSense.Google
                        client="ca-pub-4460213849771600"
                        slot="1421134476"
                        style={{
                            display: "block",
                        }}
                        layoutKey="-eb+4z+3v-fw+n2"
                        format="fluid"
                    />{" "}
                </aside> */}
            </aside>
        </>
    );
}
